﻿/* 30-01-2019 */
*, *:before, *:after {
    box-sizing: border-box;
}

body {
    margin: 8px 0 0 0;
    font-size: 75%;
    font-family: Verdana, Tahoma, Arial, "Helvetica Neue", Helvetica, Sans-Serif;
    color: #232323;
    background-color: #fff;
}

/* site title 
----------------------------------------------------------- */
.main-container {
    width: 800px;
    margin-left: auto;
    margin-right: auto;
}

.head-center-content {
    vertical-align: middle;
    font-size: 14px;
    font-family: Tahoma;
    color: white;
}

    .head-center-content a {
        font-weight: bold;
        color: white;
    }

        .head-center-content a:hover {
            color: gold;
        }

.head-right-content {
    float: right;
    margin: 0 0 0 0;
    text-align: right;
}

.head-left-content {
    vertical-align: middle;
    margin: 0 0 0 0;
    text-align: left;
}

.divlogo {
    width: 164px;
}

.div-footer {
    width: 800px;
    height: 32px;
    display: block;
    border-top: solid 1px gray;
    margin-top: 32px;
    padding-top: 4px;
    text-align: center;
    color: gray;
    font-size: 8pt;
}

    .div-footer a {
        color: gray
    }

        .div-footer a:hover {
            color: black;
        }

/* LogOn view styles
-----------------------------------------------------------*/

.div-logon {
    margin: 0 0 0 0;
    width: 304px;
    margin-left: auto;
    margin-right: auto;
}

.info-table {
    border: none;
    width: 100%;
    border-collapse: collapse;
}

    .info-table th {
        text-align: left;
        background-color: #eeeeee;
        padding: 6px 6px 6px 6px;
    }

    .info-table td {
        padding: 4px 4px 4px 4px;
    }

.long {
    width: 566px;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ����� ��� ��������-���� */
div.progress-bar {
    width: 100%;
    display: block;
    border: solid 1px white;
    text-align: center;
    margin: 32px 0 0 0;
    padding: 8px 8px 8px 8px;
    vertical-align: baseline;
}

div.progress-page {
    display: inline-block;
    height: 7px;
    border: solid 1px gray;
    background-color: silver;
    border-radius: 10px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    margin: 0 -2px 0 -2px;
    background-image: -webkit-linear-gradient(top, #e0e0e0, #606060);
    background-image: -moz-linear-gradient(top, #e0e0e0, #606060);
    background-image: -ms-linear-gradient(top, #e0e0e0, #606060);
    background-image: -o-linear-gradient(top, #e0e0e0, #606060);
    background-image: linear-gradient(to bottom, #e0e0e0, #606060);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#e0e0e0, endColorstr=#606060);
    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.2);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.2);
    box-shadow: 1px 1px 1px rgba(0,0,0,.2);
}

div.progress-page-done {
    border: solid 1px #006000;
    background-color: #00A000;
    background-image: -webkit-linear-gradient(top, #00B000, #006000);
    background-image: -moz-linear-gradient(top, #00B000, #006000);
    background-image: -ms-linear-gradient(top, #00B000, #006000);
    background-image: -o-linear-gradient(top, #00B000, #006000);
    background-image: linear-gradient(to bottom, #00B000, #006000);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#00B000, endColorstr=#006000);
    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.4);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.4);
    box-shadow: 1px 1px 1px rgba(0,0,0,.4);
}

div.progress-page-current {
    background-color: #00C000;
    border: solid 1px #008000;
    background-image: -webkit-linear-gradient(top, #00D000, #006000);
    background-image: -moz-linear-gradient(top, #00D000, #006000);
    background-image: -ms-linear-gradient(top, #00D000, #006000);
    background-image: -o-linear-gradient(top, #00D000, #006000);
    background-image: linear-gradient(to bottom, #00D000, #006000);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#00D000, endColorstr=#006000);
    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.4);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.4);
    box-shadow: 1px 1px 1px rgba(0,0,0,.4);
}

div.progress-space {
    display: inline-block;
    height: 1px;
    width: 8px;
    border: none;
    background-color: gray;
    margin: 0 -2px 4px -2px;
}




/* Styles for basic forms
-----------------------------------------------------------*/
.mdm-color {
    background-color: RGB(29, 129, 196);
}

h2 {
    margin: 10px 0 10px 0;
    display: block;
    background-color: white;
    border-bottom: solid 5px RGB(108, 172, 90);
    padding-left: 10px;
}

.survey-button {
    margin-left: 0;
    margin-top: 10px;
    padding: 0 20px 0 20px;
    height: 40px;
    width: 140px;
    background-color: #6cac5a;
    text-shadow: 1px 1px 1px rgba(0,0,1, 0.99);
    font-family: Arial;
    font-size: 14pt;
    color: white;
    border: 1px solid #25729a;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    background-image: -webkit-linear-gradient(top, #6cac5a, #006000);
    background-image: -moz-linear-gradient(top, #00D000, #006000);
    background-image: -ms-linear-gradient(top, #00D000, #006000);
    background-image: -o-linear-gradient(top, #00D000, #006000);
    background-image: linear-gradient(to bottom, #6cac5a, #006000);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#00D000, endColorstr=#006000);
    -webkit-box-shadow: 2px 2px 3px rgba(0,0,0,.3);
    -moz-box-shadow: 2px 2px 3px rgba(0,0,0,.3);
    box-shadow: 2px 2px 3px rgba(0,0,0,.3);
}

/* 28.10.2013 by SA: #8834 */
/* 29.10.2013 by SA: #8834
input[type="submit"]
{
    background-color: #87CEFA;
}*/

/* 09.01.2019 */
input[type="checkbox"] {
    width: 20px;
    height: 20px;
    margin-top: 4px;
    margin-bottom: 4px;
    margin-right: 6px;
    margin-left: 2px;
}

/* 06.03.2014 by SA: #10605 */
input[type="radio"] {
    width: 20px;
    height: 20px;
    margin-top: 4px;
    margin-bottom: 4px;
}

.survey-button:hover {
    background-color: #4682B4;
}

.survey-button:focus {
    background-color: #4682B4;
}


.next-button {
    text-align: center;
    margin-top: 32px;
}

fieldset {
    border: none; /*1px solid #ddd;*/
    padding: 8px 4px 8px 8px;
    margin: 8px 0 0 0;
}

legend {
    font-size: 14px;
    font-weight: bold;
}


.div-editor-radio {
    margin: 8px 0 32px 0;
    white-space: nowrap;
}

.editor-radio {
    width: 32px;
    display: inline-block;
}

.editor-radio-label {
    display: inline-block;
    vertical-align: super;
    margin-right: 24px;
    white-space: normal;
    width: 100%;
    font-family: Arial;
    font-size: 14pt;
}


.div-center-content {
    font-size: 14px;
    font-family: Tahoma;
    color: white;
}

    .div-center-content a {
        font-weight: bold;
        color: white;
    }

        .div-center-content a:hover {
            color: gold;
        }

.div-right-content {
    /*height          : 100%;*/
    float: right;
    margin: 0 0 0 0;
    text-align: right;
}

.div-left-content {
    /*height          : 100%;*/
    vertical-align: middle;
    margin: 0 0 0 0;
    text-align: left;
}



.f12 {
    font-size: 12px;
}

.f14 {
    font-size: 14px;
}

.f16 {
    font-size: 16px
}

.fbold {
    font-weight: bold;
}

.div-inline {
    display: inline-block;
}

.table-hr {
    width: 99.5%;
    height: 3px;
    text-align: center;
    background-color: #ccc;
}

/* Styles for data blocks
----------------------------------------------------------- */
.div-left-area {
    display: inline;
    float: left;
    width: 450px;
    border: none;
    padding-right: 8px;
}

.div-right-area {
    display: inline;
    float: right;
    width: 580px;
}

.panel-top-link {
    border: none;
    display: block;
    height: 30px;
    margin-bottom: -4px;
    margin-top: 8px;
}

.tab-active {
    color: black;
    height: 30px;
    line-height: 30px;
    padding-right: 20px;
    font: 16px 'Arial';
    text-decoration: none;
    background-color: white;
}

    .tab-active:hover {
        cursor: default;
    }

.tab-passive {
    color: black;
    height: 30px;
    line-height: 30px;
    padding-right: 20px;
    font: 16px 'Arial';
    text-decoration: underline;
    background-color: white;
}

    .tab-passive:hover {
        color: firebrick;
        text-decoration: underline;
        background-color: white;
    }

/* Styles for basic forms
-----------------------------------------------------------*/

.info {
    font: normal 8pt Verdana;
    padding: 4px 0 4px 0;
    color: #a52a2a;
}

textarea {
    min-height: 75px;
}

    textarea.editor12 {
        min-width: 736px;
    }


.editor-label {
    margin: 4px 0 0 0;
}

.editor-label-width {
    margin: 8px 0 0 0;
    width: 110px;
    display: inline-block;
}

.editor-label-width-long {
    margin: 1em 0 0 0;
    width: 210px;
    display: inline-block;
}

.editor-field {
    margin-bottom: 8px;
}

    .editor-field span {
        display: inline-block;
        white-space: normal;
        overflow-y: visible;
    }

    .editor-field .editor-field-date .editor-field-short {
        margin: 0 0 0 0;
    }

.w300 input {
    width: 300px;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* grid styles */
.grid {
    font-family: Segoe UI;
    font-size: 9pt;
}

.odd-row {
    background-color: white;
}

.even-row {
    background-color: #F0F0F0;
}

.hover-row {
    background-color: #FFFFD0;
}

.footer-row {
    height: 22px;
    font-family: Segoe UI, Calibri;
    font-size: 8pt;
}

.pager-area {
    display: block;
    margin-top: 2px;
    margin-right: 4px;
    line-height: 18px;
    width: 80%;
    height: 18px;
    padding-left: 12px;
    font-size: 10pt;
    font-family: Segoe UI Semibold, Garamond;
    font-weight: bold;
}

.pager-link {
    color: #6F5530;
    text-decoration: none;
    padding: 0px 2px 0px 2px;
}

    .pager-link a, a:hover {
        color: #e65620;
        text-decoration: underline;
    }

.pager-link-active {
    color: #e65620;
    text-decoration: none;
    padding: 0px 2px 0px 2px;
    border: solid 1px #e65620;
}

.pager-link-off {
    color: #6F5530;
    text-decoration: none;
    padding: 0px 2px 0px 2px;
}

    .pager-link-off a, a:hover {
        color: #e65620;
        text-decoration: none;
    }

.pager-link-on {
    color: #6F5530;
    text-decoration: none;
    padding: 0px 2px 0px 2px;
}

    .pager-link-on a, a:hover {
        color: #e65620;
        text-decoration: none;
    }


/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* anketa info styles */
.anketa-info-label {
    display: inline-block;
    margin: 5px 0 5px 20px;
    width: 30%;
}

.anketa-info-message {
    display: inline-block;
    margin: 5px 0 5px 4px;
    width: 60%;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ����� ��� ���� ����� ������� */


/* 16.12.2013 by SA: #4928 */
.dxeListBoxItem em {
    background-color: #E6E6FA !important;
}

div.anketaContent {
    width: 736px;
    margin: 8px 32px 0 32px;
}

div.question-row {
    width: 100%;
    display: block;
    margin-top: 16px;
    padding: 4px 0 2px 0;
}

div.question-row-hidden {
    width: 100%;
    display: none;
    padding: 4px 0 2px 0;
}

div.table-question {
    display: inline-block;
}

div.table-question-hidden {
    display: none;
}

/* FieldType.FT06_Text */
div.question-label {
    font-family: Arial;
    font-size: 14pt;
    text-align: justify;
    padding: 8px 0 16px 0;
}
/* FieldType.FT05_Field */
div.question-title {
    display: inline-block;
    padding: 6px 0 6px 0;
    font-family: Arial;
    font-size: 14pt;
    vertical-align: top;
    text-align: justify;
}

div.question-control {
    display: inline-block;
}

/* FieldType.FT04_Table */
table.question-table {
    /*border: solid 1px silver;*/
    border-collapse: collapse;
    border-color: silver;
    margin: 8px 0 0 0;
    display: inline-block;
}

    table.question-table td {
        padding: 2px; /* cellpadding */
    }

    table.question-table .question-control td {
        /* 31.10.2013 #8945.2 */
        padding: 0; /* cellpadding ������ ������������ ���������, ������� ������ ������� */
    }


table.simple {
    border: 0; /* border="0" */
    border-collapse: collapse;
}

    table.simple td {
        padding: 4px; /* cellpadding */
    }

/* ��� ��� ������������ ���������, ����������� ��������� padding �� ������� �������  31.07.2013 */
table.dxeButtonEdit {
    margin-left: 0;
}

    table.dxeButtonEdit td {
        padding: 0;
    }

.dxeButtonEdit .dxeIIC img {
    padding: 0;
}

.dxeEditArea {
    height: 18px;
    font-family: Arial;
    font-size: 13px;
}


/* ����� ��� jQuery.ui.autocomplete widget */
.ui-autocomplete {
    width: 700px;
    max-height: 180px;
    overflow-y: auto;
    overflow-x: hidden; /* prevent horizontal scrollbar */
    white-space: nowrap;
    padding-right: 20px;
}
    /* IE 6 doesn't support max-height
 * we use height instead, but this forces the menu to always be this tall
 */
    /*
* html .ui-autocomplete
{
    height          : 160px;
}*/
    .ui-autocomplete li {
        list-style-type: none;
        margin-left: -32px;
    }

.ui-menu-item a {
    min-width: 300px;
    /*font-weight: bold;*/
}

.ui-autocomplete-term {
    font-weight: bold;
    background-color: Lime;
}


/* anketa structure 18.03.2014 by SA */
.struct a {
    text-decoration: none;
}

    .struct a:hover {
        text-decoration: underline;
    }


.lang {
    margin-right: 32px;
    padding-left: 0px;
    padding-right: 0px;
}

    .lang a {
        font-size: 12px;
        text-decoration: underline;
        color: #009FCF;
        font-weight: normal;
    }

        .lang a:hover {
            text-decoration: underline;
            color: firebrick;
        }

    .lang span {
        font-weight: normal;
        color: #232323;
        font-size: 12px;
    }

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* styles for drop-down menus */
.menu-div {
    width: 200px;
    position: absolute;
    background-color: #fff;
    -webkit-box-shadow: 0 3px 6px rgba(111,111,111,0.2);
    box-shadow: 0 3px 6px rgba(111,111,111,0.2);
    border: solid 1px #ccc;
}

.menu-li {
    list-style: none;
    padding: 1px 1px 1px 1px;
    margin: 2px 0 2px 0;
}

    .menu-li li {
        line-height: 1.58;
        cursor: pointer;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .menu-li a {
        font-family: Arial,sans-serif;
        font-size: 14px;
        color: #333;
        background-color: #fff;
        text-decoration: none;
    }

.menu-active {
    color: #fff;
    background-color: #3b73af;
}

    .menu-active a {
        color: #fff;
        background-color: #3b73af;
        text-decoration: none;
    }

.radic {
    font-family: Courier New;
    display: inline;
    margin-right: 4px;
    margin-left: 4px;
    color: #fff;
    filter: 'alpha(opacity=0)';
    opacity: 0.01;
}

.radic-on {
    color: #333;
    filter: 'alpha(opacity=8)';
    opacity: 0.8;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
.w100p {
    width: 100%;
}

/* Styles for datetime picker  21.01.2014 by SA: #9953
-----------------------------------------------------------*/
.ui-timepicker-div .ui-widget-header {
    margin-bottom: 8px;
}

.ui-timepicker-div dl {
    text-align: left;
}

    .ui-timepicker-div dl dt {
        float: left;
        clear: left;
        padding: 0 0 0 5px;
    }

    .ui-timepicker-div dl dd {
        margin: 0 10px 10px 45%;
    }

.ui-timepicker-div td {
    font-size: 90%;
}

.ui-tpicker-grid-label {
    background: none;
    border: none;
    margin: 0;
    padding: 0;
}

.ui-timepicker-rtl {
    direction: rtl;
}

    .ui-timepicker-rtl dl {
        text-align: right;
        padding: 0 5px 0 0;
    }

        .ui-timepicker-rtl dl dt {
            float: right;
            clear: right;
        }

        .ui-timepicker-rtl dl dd {
            margin: 0 45% 10px 10px;
        }

.link-in-editor {
    margin-left: 5px;
}

.readonly-editor {
    color: Black;
    background-color: white;
    border: solid 1px #dddddd;
}

.modal-box {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .8);
    display: none;
}

.modal-box__info {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    width: 40%;
    border: 3px solid #008000;
    border-radius: 5px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    padding: 10px;
}

/* 30-01-2019 */

@media (max-width: 830px) {
    .main-container,
    .error-page,
    .div-footer { 
        width: 100%;
    }
    .main-container {
        padding: 0 15px;
    }
    
}